
<?php
  //Инициализируем переменные
  $FileNameTmp = $_GET['file'];
  $ToUp = "../txt/".$FileNameTmp;
  //перебираем все файлы в директории txt, которые имеют префикс (cp or arch). Записываем их в массив $PollFiles определяем позицию текущего элемента в массиве
  $dr = opendir('../txt');
  $i = 0;
  while($file = readdir($dr))
  {
    if($file == trim($FileNameTmp))
      $Pos = $i;
    if(strpos($file, $Prefix) !== false)
    {
      $PollFiles[] = $file;
      $i++;
    }
  }
  closedir($dr);
  //находим файл с голосованием, которое нужно переместить вниз
  $ToDown = $PollFiles[($Pos+1)];
  $ToDown = "../txt/".$ToDown;
  //находим файл логинов и паролей
  $ToUpPswds = str_replace($Prefix, "pswds", $ToUp);
  $ToDownPswds = str_replace($Prefix, "pswds", $ToDown);
  //находим файл с паролем
  $ToUpPswdFile = str_replace($Prefix, "pswd", $ToUp);
  $ToDownPswdFile = str_replace($Prefix, "pswd", $ToDown);
  //находим файл с ip
  $ToUpIpFile = str_replace($Prefix, "ip", $ToUp);
  $ToDownIpFile = str_replace($Prefix, "ip", $ToDown);
  //находим файл с адресами Email
  $ToUpEmailAddrFile = str_replace($Prefix, "onepassd_emailaddr", $ToUp);
  $ToDownEmailAddrFile = str_replace($Prefix, "onepassd_emailaddr", $ToDown);
  //письмо-приглашение -  один пароль для всех
  $ToUpNoVipLetter = str_replace($Prefix, "onepassd_letter", $ToUp);
  $ToDownNoVipLetter = str_replace($Prefix, "onepassd_letter", $ToDown);
  //письмо-приглашение - логин и пароль для каждого
  $ToUpVipLetter = str_replace($Prefix, "eachpassd_letter", $ToUp);
  $ToDownVipLetter = str_replace($Prefix, "eachpassd_letter", $ToDown);
  //файл настройки типа голосования
  $ToUpTypeFile = str_replace($Prefix, "type", $ToUp);
  $ToDownTypeFile = str_replace($Prefix, "type", $ToDown);
  //Меняем местами основные файлы
  $ToUpArr = file($ToUp);
  $ToDownArr = file($ToDown);
  //меняем местами временную метку
  $Tmp = $ToUpArr[(count($ToUpArr) - 1)];
  $ToUpArr[(count($ToUpArr) - 1)] = $ToDownArr[(count($ToDownArr) - 1)];
  $ToDownArr[(count($ToDownArr) - 1)] = $Tmp;
  $ToUpStr = implode($ToUpArr);
  $ToDownStr = implode($ToDownArr);
  SaveStringInFile($ToDown, $ToUpStr, 'w');
  SaveStringInFile($ToUp, $ToDownStr, 'w');
  //меняем местами содержимое служебных файлов
  ChangeContent($ToUpPswds, $ToDownPswds);
  ChangeContent($ToUpPswdFile, $ToDownPswdFile);
  ChangeContent($ToUpIpFile, $ToDownIpFile);
  ChangeContent($ToUpEmailAddrFile, $ToDownEmailAddrFile);
  ChangeContent($ToUpNoVipLetter, $ToDownNoVipLetter);
  ChangeContent($ToUpVipLetter, $ToDownVipLetter);
  ChangeContent($ToUpTypeFile, $ToDownTypeFile);
  //удаляем изображения
  $Time = str_replace("../txt/".$Prefix, '', $ToUp);
  if(file_exists('../pictures/jpgraph_bar1'.$Time.'.jpg'))
    unlink('../pictures/jpgraph_bar1'.$Time.'.jpg');
  if(file_exists('../pictures/jpgraph_bar2'.$Time.'.jpg'))
    unlink('../pictures/jpgraph_bar2'.$Time.'.jpg');
  if(file_exists('../pictures/pie'.$Time.'.jpg'))
    unlink('../pictures/pie'.$Time.'.jpg');
  if(file_exists('../pictures/pieplot3d'.$Time.'.jpg'))
    unlink('../pictures/pieplot3d'.$Time.'.jpg');
  if(file_exists('../pictures/scatterplot'.$Time.'.jpg'))
    unlink('../pictures/scatterplot'.$Time.'.jpg');
  Refresh($PageTmp);
?>